## Supported devices

Devices listed here only indicate that a device has been tested and working! Even if your device is not on the list it might work correctly so you should always try adding it to the plugin!

Devices marked as 🔵[MiCloud] require a MiCloud connection. Please specify the `micloud` property in the `config.json`  
Devices marked as 🔴[BLE Mesh] and 🟡[Zigbee] require a connection over a Gateway or Hub.

### Fan

-   zhimi.fan.za4 (Smartmi Standing Fan 2S) 🔵[MiCloud]
-   zhimi.fan.za5 (Smartmi Standing Fan 3)
-   zhimi.fan.fa1 (Mijia DC Circulating Fan)
-   zhimi.fan.fb1 (Mi Smart Air Circulator Fan)
-   dmaker.fan.1c (Mi Smart Standing Fan 1C)
-   dmaker.fan.p8 (Mi Smart Standing Fan 1C CN)
-   dmaker.fan.p9 (Mi Smart Tower Fan)
-   dmaker.fan.p10 (Mi Smart Standing Fan 2)
-   dmaker.fan.p11 (Mi Smart Standing Fan Pro)
-   dmaker.fan.p15 (Mi Smart Standing Fan Pro EU)
-   dmaker.fan.p5 (Mi Smart Fan 1X) 🔵[MiCloud]
-   dmaker.fan.p18 (Mi Smart Fan 2)
-   air.fan.ca23ad9 (AIRMATE CA23-AD9 Air Circulation Fan)
-   zhimi.fan.v3 (Smartmi Standing Fan V3) 🔵[MiCloud]
-   zhimi.fan.sa1 (Mi Standing Fan) 🔵[MiCloud]
-   dmaker.fan.p30 (Xiaomi Smart Standing Fan 2)
-   dmaker.fan.p33 (Xiaomi Smart Standing Fan 2 Pro)
-   dmaker.fan.p220 (Mijia DC Inverter Circulating Floor Fan)
-   dmaker.fan.1e (Mi Smart Standing Fan E)
-   dreame.fan.p2018 (Xiaomi Smart Purifying Fan)
-   xiaomi.fan.p51 (Mijia Air Circulation Fan) 🔵[MiCloud]

### Ceiling Fan

-   yeelink.light.fancl1 (Yeelight Smart Ceiling Fan)
-   yeelink.light.fancl2 (Yeelight Smart Ceiling Fan S2001)
-   yeelink.light.fancl5 (Yeelight Smart Ceiling Fan C900)
-   opple.light.fanlight (Opple Ceiling Fan Light) 🔵[MiCloud]
-   yeelink.light.fancl6 (Yeelight Smart Ceiling Fan C1060)

### Heater

-   zhimi.heater.za2 (Smartmi Electric Heater 1S)
-   zhimi.heater.ma2 (Xiaomi Mi Smart Space Heater S)
-   zhimi.heater.ma3 (Xiaomi Mi Smart Baseboard Heater E)
-   zhimi.heater.mc2 (Xiaomi Mi Smart Space Heater S CN)
-   zhimi.heater.na1 (Smartmi Smart Fan)
-   zhimi.heater.nb1 (Smartmi Smart Fan Heater)
-   zhimi.heater.zb1 (Smartmi Smart Convector Heater 1S)
-   leshow.heater.bs1s (Mi Smart Baseboard Heater 1S)
-   leshow.heater.bs3 (Mi Smart Baseboard Heater 3)
-   isleep.blanket.hs2205 (Painted sleep water heating pad HS2205)
-   isleep.blanket.hs2201 (Painted sleep water heating pad HS2201)
-   leshow.heater.bs1 (Mi Smart Baseboard Heater 1)
-   viomi.heater.v4 (Viomi Kick-Line heater Pro2) 🔵[MiCloud]


### Humidifier

-   zhimi.humidifier.ca4 (Smartmi Evaporative Humidifier 2)
-   deerma.humidifier.jsq4 (Mijia Pure Smart Humidifier)
-   zhimi.humidifier.cb1 (Smartmi Air Humidifier 2) 🔵[MiCloud]
-   leshow.humidifier.jsq1 (Xiaomi Mijia Pure Pro)
-   deerma.humidifier.jsq (Xiaomi Mi Smart Antibacterial Humidifier) 🔵[MiCloud]
-   deerma.humidifier.mjjsq (Xiaomi Mijia Smart Sterilization Humidifier) 🔵[MiCloud]
-   zhimi.humidifier.ca1 (Xiaomi Smartmi Evaporative Humidifier 2) 🔵[MiCloud]
-   deerma.humidifier.jsq2g (Mijia Smart Anti-bacterial Humidifier 2)
-   dmaker.humidifier.p2 (Xiaomi Mijia Pure Smart Humidifier 2)

### Dehumidifier

-   nwt.derh.312en (Widetech Dehumidifier)
-   dmaker.derh.22l (Xiaomi Smart Dehumidifier 22L)

### Air Purifier

-   zhimi.airpurifier.m1 (Xiaomi Mi Air Purifier 2 Mini) 🔵[MiCloud]
-   zhimi.airpurifier.ma4 (Xiaomi Mi Air Purifier 3)
-   zhimi.airpurifier.mb4 (Xiaomi Mi Air Purifier 3C)
-   zhimi.airpurifier.mb3 (Xiaomi Mi Air Purifier 3H)
-   zhimi.airpurifier.vb2 (Xiaomi Mi Air Purifier Pro H)
-   zhimi.airpurifier.va1 (Xiaomi Mi Air Purifier Pro H CN)
-   zhimi.airpurifier.za1 (Smartmi Air Purifier)
-   zhimi.airpurifier.mc2 (Xiaomi Air Purifier 2H) 🔵[MiCloud]
-   zhimi.airpurifier.ma2 (Xiaomi Air Purifier 2S) 🔵[MiCloud]
-   zhimi.airpurifier.v3 (Xiaomi Mi Air Purifier) 🔵[MiCloud]
-   zhimi.airpurifier.v6 (Xiaomi Mi Air Purifier Pro V6) 🔵[MiCloud]
-   zhimi.airpurifier.v7 (Xiaomi Mi Air Purifier Pro V7) 🔵[MiCloud]
-   zhimi.airpurifier.xa1 (Mi Air Purifier X)
-   hanyi.airpurifier.kj550 (MiWhole Air Purifier Mix)
-   zhimi.airpurifier.sb1 (Xiaomi Mi Air Purifier MAX) 🔵[MiCloud]
-   zhimi.airp.mb4a (Xiaomi Mi Air Purifier 3C v2)
-   zhimi.airp.mb5 (Xiaomi Mi Air Purifier 4)
-   zhimi.airp.vb4 (Xiaomi Air Purifier Pro 4)
-   zhimi.airpurifier.m2 (Xiaomi Air Purifier 2) 🔵[MiCloud]
-   zhimi.airp.vb2a (Xiaomi Air Purifier Pro H v2)
-   zhimi.airpurifier.mc1 (Xiaomi Air Purifier 2S Global Version) 🔵[MiCloud]
-   zhimi.airp.mb3a (Xiaomi Mi Air Purifier 3H v2)
-   zhimi.airp.rmb1 (Xiaomi Air Purifier 4 Lite)
-   zhimi.airp.mp4 (Miija Air Purifier 4 Pro)
-   zhimi.airp.cpa4 (Xiaomi Air Purifier 4 Compact)
-   zhimi.airp.sa4 (Xiaomi Air Purifier 4 Max)

### Air Conditioner

-   lumi.aircondition.acn05 (Aqara Air Conditioning Companion P3)
-   lumi.acpartner.mcn02 (Xiaomi Mi Air Conditioner Companion 2) 🔵[MiCloud]
-   lumi.acpartner.v2 (Xiaomi Air Conditioning Companion) 🔵[MiCloud]
-   lumi.acpartner.v3 (Aqara Air Conditioning Companion) 🔵[MiCloud]
-   lumi.acpartner.mcn04 (Mi Smart Air Conditioner Controller Pro)
-   xiaomi.airc.r24r00 (Xiaomi Air Conditioner KFR-35GW/V1A1 2024) 🔵[MiCloud]

### Outlet

-   cuco.plug.cp1 (Gosund Smart Plug)
-   cuco.plug.cp2 (Gosund Socket)
-   cuco.plug.cp2a (Gosund CP2-AM)
-   cuco.plug.cp5 (Gosund Smart Power Strip)
-   cuco.plug.sp5 (Gosund Smart Power Strip)
-   cuco.plug.co1 (Gosund Smart Wall Plug)
-   chuangmi.plug.212a01 (Mi Smart Power Plug 2)
-   chuangmi.plug.m3 (Xiaomi Chuangmi Plug M3)
-   chuangmi.plug.v1 (Xiaomi Chuangmi Plug V1) 🔵[MiCloud]
-   chuangmi.plug.v3 (Xiaomi Chuangmi Plug V3) 🔵[MiCloud]
-   chuangmi.plug.m1 (Xiaomi Chuangmi Plug M1) 🔵[MiCloud]
-   chuangmi.plug.hmi206 (Xiaomi Smart Plug 3680w) 🔵[MiCloud]
-   cuco.plug.cp1m (Gosund Smart Plug CP1-AM)
-   chuangmi.plug.hmi208 (Xiaomi Mijia Smart Wi-fi Plug) 🔵[MiCloud]
-   zimi.powerstrip.v2 (Xiaomi Power Strip) 🔵[MiCloud]
-   qmi.powerstrip.v1 (Xiaomi Chingmi WiFi Smart Powerstrip) 🔵[MiCloud]
-   cuco.plug.cp3a (Gosund CP3-AM)
-   cuco.plug.cp5pro (Gosund Smart Power Strip Pro)

### Curtain

-   dooya.curtain.m2 (Dooya Curtain)
-   leshi.curtain.v0001 (Scene Curtain WIFI X)
-   lumi.curtain.hagl08 (Aqara Curtain Controller A1)
-   lumi.curtain.agl001 (Xiaomi Curtain Driver E1) 🟡[Zigbee]
-   lumi.curtain.hmcn02 (Xiaomi BLE Curtain Driver E1) 🔴[BLE Mesh]

### Fresh Air System

-   zhimi.airfresh.ua1 (Mi Fresh Air Ventilator C1-80)
-   dmaker.airfresh.a1 (Xiaomi Mi Air Purifier A1 MJXFJ-150-A1) 🔵[MiCloud]
-   dmaker.airfresh.t2017 (Xiaomi Air Purifier MJXFJ-300-G1) 🔵[MiCloud]
-   zhimi.airfresh.va2 (Smartmi Fresh Air System XFXT01ZM) 🔵[MiCloud]
-   zhimi.airfresh.va4 (Smartmi Fresh Air System XFXTDFR02ZM) 🔵[MiCloud]

### Robot Cleaner

-   dreame.vacuum.p2008 (Dreame F9)
-   dreame.vacuum.p2009 (Dreame D9)
-   dreame.vacuum.mc1808 (Xiaomi Mijia 1C Sweeping Vacuum Cleaner)
-   dreame.vacuum.p2041 (Xiaomi Mijia 1T Robot Vacuum Cleaner)
-   roborock.vacuum.a15 (Roborock Vacuum S7)
-   roborock.vacuum.a11 (Roborock Vacuum T7)
-   roborock.vacuum.m1s (Xiaomi Mi Robot 1S) 🔵[MiCloud]
-   viomi.vacuum.v10 (Mi Robot Vacuum Mop P) 🔵[MiCloud]
-   mijia.vacuum.v2 (Xiaomi Mi Robot Vacuum Mop G1)
-   dreame.vacuum.p2028 (Dreame Bot Z10 Pro Vacuum)
-   dreame.vacuum.p2036 (Xiaomi Trouver Finder LDS Vacuum)
-   rockrobo.vacuum.v1 (Xiaomi Mi Robot Vacuum) 🔵[MiCloud]
-   dreame.vacuum.p2029 (Dreame Bot L10 Pro)
-   dreame.vacuum.p2140 (Mijia Robot Vacuum-Mop 2C)
-   dreame.vacuum.p2157 (MOVA L600)
-   viomi.vacuum.v18 (Viomi Robot Vacuum S9)
-   roborock.vacuum.a29 (Roborock Vacuum G10)
-   roidmi.vacuum.v6 (Roidmi Eve Plus)
-   roborock.vacuum.a10 (Roborock S6 MaxV)
-   ijai.vacuum.v2 (Mi Robot Vacuum-Mop 2)
-   roborock.vacuum.s5e (Roborock S5 MAX) 🔵[MiCloud]
-   roborock.vacuum.s5 (Roborock S5) 🔵[MiCloud]
-   dreame.vacuum.mb1808 (Mi Robot Vacuum-Mop)
-   viomi.vacuum.v19 (Viomi Robot Vacuum SE)
-   roborock.vacuum.a08 (Roborock S6 Pure)
-   dreame.vacuum.p2041o (Xiaomi Vacuum Mop 2 Pro+)
-   viomi.vacuum.v8 (Xiaomi Robot Vacuum-Mop Pro) 🔵[MiCloud]
-   ijai.vacuum.v3 (Mi Robot Vacuum-Mop 2 Pro)
-   dreame.vacuum.p2150o (Mijia Robot Vacuum-Mop Dirt Disposal)
-   dreame.vacuum.p2259 (Dreame Bot D9 Max)
-   dreame.vacuum.p2187 (Dreame D9 Pro)
-   roborock.vacuum.a01 (Roborock E4) 🔵[MiCloud]
-   roborock.vacuum.a27 (Roborock S7 MaxV Ultra)
-   dreame.vacuum.p2027 (Dreame W10)
-   dreame.vacuum.r2228 (Dreame S10)
-   roidmi.vacuum.v66 (Roidmi Eva)
-   dreame.vacuum.r2205 (Dreame Bot D10 Plus)
-   viomi.vacuum.v7 (Viomi Vacuum v7) 🔵[MiCloud]
-   dreame.vacuum.p2148o (Xiaomi MIJIA Ultra-Thin Robot Vacuum STYTJ04ZHM)
-   roborock.vacuum.s6 (Roborock S6) 🔵[MiCloud]
-   dreame.vacuum.p2114a (Xiaomi Robot Vacuum X10+)
-   dreame.vacuum.r2228o (Dreame L10s Ultra)
-   dreame.vacuum.r2250 (Dreame D10s Pro)
-   roborock.vacuum.a62 (Roborock S7 Pro Ultra)
-   roborock.vacuum.a51 (Roborock S8)
-   roborock.vacuum.a70 (Roborock S8 Pro Ultra)
-   roborock.vacuum.a75 (Roborock Q Revo)

### Light

-   leshi.light.wy0b01 (Scenario WIFI Dual Color Light)
-   yeelink.light.color3 (Yeelight LED Color Bulb YLDP02YL) 🔵[MiCloud]
-   philips.light.bulb (Xiaomi Philips Smart LED) 🔵[MiCloud]
-   yeelink.light.lamp1 (Xiaomi Mi Desk Lamp) 🔵[MiCloud]
-   yeelink.light.strip4 (Yeelight Willow LED Lightstrip) 🔵[MiCloud]
-   yeelink.light.color5 (Xiaomi Mi Smart LED Bulb Essential MJDPL01YL) 🔵[MiCloud]
-   yeelink.light.color4 (Yeelight Smart LED Bulb 1S) 🔵[MiCloud]
-   yeelink.light.color2 (Yeelight Smart LED Bulb 2) 🔵[MiCloud]
-   yeelink.light.color1 (Yeelight Smart LED Bulb 1) 🔵[MiCloud]
-   yeelink.light.mono4 (Yeelight 1S) 🔵[MiCloud]
-   philips.light.ceiling (Xiaomi Philips LED Ceiling Light) 🔵[MiCloud]
-   yeelink.light.bslamp1 (Xiaomi Mi Bedside Lamp) 🔵[MiCloud]
-   yeelink.light.bslamp2 (Xiaomi Mi Bedside Lamp 2) 🔵[MiCloud]
-   yeelink.light.monob (Yeelight GU10 LED Smart Bulb W1)
-   yeelink.light.mono6 (Yeelight Smart LED Bulb mono6)
-   yeelink.light.lamp22 (Xiaomi Mi Computer Monitor Light Bar 1S)
-   yeelink.light.strip6 (Yeelight Lightstrip Plus) 🔵[MiCloud]
-   philips.light.candle (Xiaomi Philips Zhirui Candle Light Bulb - Scrub Version) 🔵[MiCloud]
-   philips.light.candle2 (Xiaomi Philips Zhirui Candle Light Bulb - Crystal Version) 🔵[MiCloud]
-   yeelink.light.colorc (Yeelight RGB LED Bulb)
-   philips.light.downlight (Xiaomi Mijia Philips Zhirui Downlight)
-   yeelink.light.lamp15 (Yeelight Led Screen Light Bar Pro)
-   cuco.light.sl4a (NiteBird SL4)
-   philips.light.zyceiling (Mi Philips Zhirui Ceilling Light) 🔵[MiCloud]
-   yeelink.light.ceilc (Yeelight Arwen)

### Airer

-   hyd.airer.znlyj1 (MIJIA Smart Clothes Dryer) 🔵[MiCloud]
-   hyd.airer.znlyj2 (MIJIA Smart Clothes Dryer 2)
-   hyd.airer.znlyj4 (MIJIA Smart Clothes Dryer 4)
-   lumi.airer.acn02 (Aqara Smart Clothes Drying Rack Lite) 🔵[MiCloud]

### Oven

-   chunmi.microwave.n20l01 (Mi Smart Microwave Oven) 🔵[MiCloud]
-   chunmi.oven.x02 (Xiaomi Mijia Smart Steam Oven Toaster 12L)

### Air Fryer

-   careli.fryer.maf01 (Mi Smart Air Fryer MAF01)
-   careli.fryer.maf02 (Mi Smart Air Fryer)
-   careli.fryer.maf05a (Mi Smart Air Fryer Pro 4L)
-   careli.fryer.maf07 (Mi Smart Air Fryer 3.5L)

### Coffee Machine

-   scishare.coffee.s1102 (Scishare Capsule Coffee Maker) 🔵[MiCloud]

### Camera

-   isa.camera.hlc7 (Xiaomi Mi Home Magnetic Mount Outdoor Camera)

### Bath Heater

-   yeelink.bhf_light.v5 (Mi Smart Bathroom Heater Pro)
-   viomi.waterheater.e8 (Viomi Water Heater)
-   yeelink.bhf_light.v1 (Yeelight Smart Bathroom Heater Pro)
-   yeelink.bhf_light.v2 (Yeelight Smart Bathroom Heater)

### Kettle

-   yunmi.kettle.r3 (Yunmi Kettle) 🔵[MiCloud]

### Thermostat

-   cubee.airrtc.th123w (Heatcold UFH Thermostat)
-   cubee.airrtc.th123e (Heatcold Heating Thermostat)

### Switch

-   yeelink.switch.sw1 (Yeelight Smart Dual Control Module)
-   babai.switch.bb101s (WiFi Wall Switch A1)
-   090615.switch.mesw2 (PTX Mesh intelligent two switch) 🔴[BLE Mesh]

### Air Monitor

-   cgllc.airmonitor.b1 (Xiaomi Air Quality Monitor) 🔵[MiCloud]
-   cgllc.airm.cgdn1 (Qingping Air Monitor Lite)
-   zhimi.airmonitor.v1 (Xiaomi PM2.5 Monitor) 🔵[MiCloud]

### Cooker

-   chunmi.cooker.normalcd1 (Mi IH 3L Rice Cooker) 🔵[MiCloud]
-   chunmi.pre_cooker.dylg5 (Mi Smart Pressure Cooker 5L)
-   chunmi.cooker.eh1.js (Xiaomi Mijia Smart Rice Cooker 1.6 L) 🔵[MiCloud]
-   chunmi.cooker.r2.js (Joyami Smart Rice Cooker S1) 🔵[MiCloud]

### Speaker

-   xiaomi.wifispeaker.lx06 (Mi AI Speaker Pro) 🔵[MiCloud]

### Contact Sensor

-   isa.magnet.dw2hl (Xiaomi Door and Windows Sensor 2)
-   lumi.sensor_magnet.v2 (Xiaomi Mi Door and Window Sensor)

### Gateway

-   lumi.gateway.mgl03 (Xiaomi Gateway v3)

### Video Doorbell

-   madv.cateye.mowl3g (Xiaomi Smart Doorbell 3)
